#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  telepathy-glib-0.24.2

- Next

  Umockdev-0.15.4

- Up
- Home

# Uchardet-0.0.7

## Introduction to Uchardet

The Uchardet package contains an encoding detectory library which takes a sequence of bytes in an unknown character encoding and attempts to determine the encoding of the text.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://www.freedesktop.org/software/uchardet/releases/uchardet-0.0.7.tar.xz

- Download MD5 sum: 623406dac5c5ad89e40eedd7f279efae

- Download size: 212 KB

- Estimated disk space required: 4.2 MB

- Estimated build time: less than 0.1 SBU

### Uchardet Dependencies

#### Required

CMake-3.19.5

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/uchardet

## Installation of Uchardet

Install Uchardet by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DBUILD_STATIC=OFF          \
          -Wno-dev ..                 &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-DBUILD_STATIC=OFF`: This switch disables building the static version of the library.

## Contents

Installed Programs: uchardet
Installed Libraries: libuchardet.so
Installed Directories: /usr/include/uchardet

### Short Descriptions

uchardet | detects what character set is used inside of a file
`libuchardet.so` | provides an API for detecting the encoding of text in a file

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  telepathy-glib-0.24.2

- Next

  Umockdev-0.15.4

- Up
- Home